Index: src/cpu/amd/model_gx1/cpu_setup.inc
===================================================================
--- src/cpu/amd/model_gx1/cpu_setup.inc	(revision 2302)
+++ src/cpu/amd/model_gx1/cpu_setup.inc	(working copy)
@@ -24,6 +24,10 @@
 	outb	%al, $0x23
 	loop	cpu_setup_loop
 
+	movl	%cr0, %eax		/* Enable L1 Cache */
+	andl 	$0x9fffffff, %eax
+	movl 	%eax, %cr0   
+					
 	movb	$0xff, %al		/* DIR1 -- Identification Register 1 */
 	outb	%al, $0x22
 	inb	$0x23, %al
